Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Webhook Subscriptions


Webhooks are automated notifications generated by system events that occur in your organization. You can subscribe to these event types to receive a notification when a customer makes a payment. Set the eventTypes request field to one of the values shown in these tables.

Merchant Webhook Event

Event Type Field ValueDescription
payByLink.merchant.paymentMerchants can subscribe to this event type to automate how their system is informed when a customer completes a payment.

Partner Reseller Webhook Event

Event Type Field ValueDescription
payByLink.customer.paymentPartner resellers can subscribe to this event type to control the distribution of the payment confirmation email sent to their merchants' customers.

Use the example in this section only to reference how to format the eventTypes request field and its values.

You can designate a destination URL for the webhook notifications.

Pay by Link uses message-level encryption to send notifications that contain sensitive, personally identifiable information such as account numbers.

Prerequisites

Transport Layer Security (TLS) is required to ensure data integrity.

For securityType: "KEY", generate a shared secret key before creating the subscription. See the key generation instructions in the Webhooks Implementation Guide linked in the Additional Requirements section.

Additional Requirements

The eventTypes values shown in this guide are specific to Pay by Link. Configure the remaining request fields — including organizationId, securityPolicy, and retryPolicy — using the instructions in Create Webhook Subscription.

Sending the Request

For environment base URLs, see Endpoints: Pay by Link.

Endpoint

POST /notification-subscriptions/v1/webhooks

POST /notification-subscriptions/v1/webhooks

A newly created webhook subscription is initially INACTIVE. To activate it, see Activate a Subscription.

{  "name": "PBL Webhook Subscription",  "description": "PBL Webhook for Digital Accept",  "organizationId": "digital_accept_lab",  "productId": "payByLink",  "eventTypes": [    "payByLink.customer.payment",    "payByLink.merchant.payment"  ],  "webhookUrl": "https://test.com:443/test",  "healthCheckUrl": "https://test.com:443/test",  "notificationScope": "SELF",  "retryPolicy": {    "algorithm": "ARITHMETIC",    "firstRetry": 1,    "interval": 1,    "numberOfRetries": 3,    "deactivateFlag": "false",    "repeatSequenceCount": 0,    "repeatSequenceWaitTime": 0  },  "securityPolicy": {    "securityType": "KEY",    "proxyType": "external"  }}
{  "organizationId": "digital_accept_lab",  "productId": "payByLink",  "eventTypes": [    "payByLink.customer.payment",    "payByLink.merchant.payment"  ],  "webhookId": "1928667e-f9f7-8a37-e063-9c588e0a7e3b",  "name": "PBL Webhook Subscription",  "webhookUrl": "https://test.com:443/test",  "healthCheckUrl": "https://test.com:443/test",  "createdOn": "2024-05-23T23:27:54.268Z",  "status": "INACTIVE",  "description": "PBL Webhook for Digital Accept",  "retryPolicy": {    "algorithm": "ARITHMETIC",    "firstRetry": 1,    "interval": 1,    "numberOfRetries": 3,    "deactivateFlag": false,    "repeatSequenceCount": 0,    "repeatSequenceWaitTime": 0  },  "securityPolicy": {    "securityType": "KEY",    "proxyType": "external",    "digitalSignatureEnabled": "yes"  },  "version": "3",  "deliveryType": "nrtdCentral",  "notificationScope": "SELF"}

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.